Skip to main content
GET
/
v1
/
portfolios
/
{portfolio_id}
/
wallets
List Portfolio Wallets
curl --request GET \
  --url https://api.prime.coinbase.com/v1/portfolios/{portfolio_id}/wallets
{
  "wallets": [
    {
      "id": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "type": "VAULT",
      "created_at": "2023-11-07T05:31:56Z",
      "address": "<string>",
      "visibility": "WALLET_VISIBILITY_UNSPECIFIED",
      "network": {
        "id": "<string>",
        "type": "<string>"
      }
    }
  ],
  "pagination": {
    "next_cursor": "<string>",
    "sort_direction": "DESC",
    "has_next": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt

Use this file to discover all available pages before exploring further.

Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
WalletsService walletsService = PrimeServiceFactory.createWalletsService(client);

ListWalletsRequest request = new ListWalletsRequest.Builder()
    .portfolioId("PORTFOLIO_ID_HERE")
    .type(WalletType.VAULT)
    .build();

ListWalletsResponse response = walletsService.listWallets(request);
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

The portfolio ID

Query Parameters

type
enum<string>
required

The wallet type

  • VAULT: A crypto vault
  • TRADING: A trading wallet
  • WALLET_TYPE_OTHER: Other wallet types (like consumer, etc)
  • QC: A QC Wallet
  • ONCHAIN: An Onchain wallet
Available options:
VAULT,
TRADING,
WALLET_TYPE_OTHER,
QC,
ONCHAIN
cursor
string

Cursor used for pagination (last consumed record)

limit
integer<int32>

Number of wallets to retrieve

sort_direction
enum<string>
default:DESC

Sorting order

Available options:
DESC,
ASC
symbols
string[]

The wallet symbol

get_network_unified_wallets
boolean

Flag to request retrieval of all wallets across all networks for a given symbol

Response

200 - application/json

A successful response.

wallets
object[]
pagination
object